<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('lingkungan', function (Blueprint $table) {
            $table->id();
            // Foreign key to foto_jaminan table
            $table->unsignedBigInteger('foto_jaminan_id');
            $table->foreign('foto_jaminan_id')->references('id')->on('foto_jaminan');

            $table->string('name_lingkungan');
            $table->string('foto_linkungan');

            $table->char('authorized_status', 1)->nullable();
            $table->timestamp('authorized_at')->nullable();
            $table->unsignedBigInteger('authorized_by')->nullable();

            $table->timestamps();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();

            $table->timestamp('deleted_at')->nullable();
            $table->unsignedBigInteger('deleted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('lingkungan');
    }
};
